<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package wp-clf-lite
 */
$current_user 			= wp_get_current_user();
$stackholder     		= get_theme_mod( 'faculty_school' );
$course_title			= ( empty( get_theme_mod( 'course_title' ) ) ? 'Please Enter Course Tilte' : get_theme_mod( 'course_title' ) );
$wf_home_class			= ( is_front_page() || is_page() ? ' is-home-page' : '' );
$home_url				=  home_url( '/' );

$user_welcome       	= ( is_user_logged_in() ? $current_user->display_name : 'Login' );
$user_url_info      	= ( is_user_logged_in() ? site_url( '/me' ) : wp_login_url( get_permalink() ) );

$menu_atts 				= array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu', 'container' => 'ul', 'items_wrap' => '<ul class="menu vertical" aria-haspopup="true">%3$s</ul>' ); 

tha_html_before();

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
<meta name="theme-color" content="#002145">
<?php tha_head_top(); ?>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>

<?php tha_head_bottom(); ?>

</head>

<body <?php body_class(); ?>>
	<?php tha_body_top(); ?>

<div id="page" <?php WP_CLF_Lite_Content_Classes::root_page_class(); ?>>
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'wp-clf-lite' ); ?></a>
	<?php tha_header_before(); ?>
	<div data-sticky-container class="top-nav-container">
		<header id="masthead" class="site-header">
			<?php tha_header_top(); ?>
			<?php tha_header_bottom(); ?>
		</header><!-- #masthead -->
	</div>

	<?php tha_header_after(); ?>
	<div id="content" <?php WP_CLF_Lite_Content_Classes::root_content_class(); ?>>

			<div class="off-canvas position-left reveal-for-large" id="offCanvas" data-off-canvas data-transition="overlap" data-content-scroll="false">
				<?php get_sidebar(); ?>
			</div>
			<!-- #offCanvas -->
			<div class="off-canvas position-right" id="offCanvasRight1" data-off-canvas data-transition="overlap" data-content-scroll="false">
			    <div class="row expanded">
					<button class="close-button button secondary column" aria-label="Close menu" type="button" data-close>
						<span aria-hidden="true">&times; Close</span>
					</button>
					<div class="menus small-12 column">
						<?php if ( is_user_logged_in() ) : ?>
						<h4><svg class="ui-icon user"><use xlink:href="#user"></use></svg> User menu</h4>
						<ul class="menu vertical user-login-menu">
							<li><a href="#"><?php echo esc_html( $user_welcome ); ?></a></li>
							<li><a class="user-profile" href="<?php echo esc_url( $user_url_info ); ?>">My profile</a></li>
							<li><a class="user-courses" href="<?php echo esc_url( $user_url_info ); ?>">My course spaces</a></li>
						</ul>
						<hr />
						<?php endif; ?>
						<h4><svg class="ui-icon menu-icon" aria-hidden="true"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#menu"></use></svg> Site menu</h4>
						<?php wp_nav_menu( $menu_atts ); ?>
			    	</div><!-- .menus -->
			    </div><!-- .row -->
			</div><!-- #offCanvasRight1 -->
