<?php
class UBC_Content_Classes {

	public function init() {

		//add grid column classes to #primary div
		add_filter( 'wp_clf_lite_primary_content_classes', array( $this, 'wp_clf_lite_primary_content_class__add_grid_colums' ), 10, 2 );

		add_filter( 'body_class', array( $this, 'body_class__student_dashboard' ) );

		//add grid column classes to #secondary div
		add_filter( 'wp_clf_lite_widget_area_classes', array( $this, 'wp_clf_lite_secondary_content_class__add_grid_colums' ), 10, 2 );

	}/* init() */


	/**
	 * foundation grid columns
	 *#primary main content area
	 * primary_content_class() method in WP_CLF_Lite_Content_Classes
	 *
	 * @since 1.0.0
	 *
	 * @param (array) $classes - Pre-existing classes for this Tag
	 * @param (string) The additional comma-separated list of classes passed
	 * @return (array) The modified array of classes
	 */

	public function wp_clf_lite_primary_content_class__add_grid_colums( $classes ) {

		$primary_class = ( 'yes' === get_query_var( 'studentdashboard' ) ) ?  'primary' : 'primary column';

		$classes[] = $primary_class;

		return $classes;

	}/* wp_clf_lite_primary_content_class__add_grid_colums() */


	public function body_class__student_dashboard( $classes ) {

		$primary_class = ( 'yes' === get_query_var( 'studentdashboard' ) ) ?  'student-dashboard' : '';

		$classes[] = $primary_class;

		return $classes;

	}/* body_class__student_dashboard() */


	/**
	* foundation grid columns
	*	#secondary main content area
	* primary_content_class() method in WP_CLF_Lite_Content_Classes
	*
	* @since 1.0.0
	*
	* @param (array) $classes - Pre-existing classes for this Tag
	* @param (string) The additional comma-separated list of classes passed
	* @return (array) The modified array of classes
	*/

	public function wp_clf_lite_secondary_content_class__add_grid_colums( $classes ) {

		$standard_classes = '';

		if ( 'section' == get_post_type() ) :

		$classes[] = $standard_classes . ' section-sidebar';

		else :

			$classes[] = $standard_classes;

		endif;

		return $classes;

	}/* wp_clf_lite_secondary_content_class__add_grid_colums() */

} /* close UBC_Content_Classes() */

// Initialize our child theme changes
add_action( 'after_setup_theme', 'after_setup_theme__ubc_clf_lite_content_classes_init', 15 );

/**
 * Initialize the UBC_CLF_Lite_Customizer class on after_setup_theme so we're
 * up and running AFTER the parent theme (priority 15)
 *
 * @since 1.0.0
 *
 * @param null
 * @return null
 */

function after_setup_theme__ubc_clf_lite_content_classes_init() {

	$UBC_Content_Classes = new UBC_CLF_Lite_Customizer();
	$UBC_Content_Classes->init();

}/* after_setup_theme__ubc_clf_lite_init() */
