<?php
/**
 * Template for showing custom header part
 * loadd by UBC_CLF_Lite::add_ubc_wp_clf_lite_custom_header()
 *
 * @author David Brabbins
 * @since 1.0
 */

// Determine if user is logged in or out and dispay login button or user full name.


$dropdown_li_class  = 'dropdown menu is-dropdown-submenu-parent';

$stackholder        = get_theme_mod( 'faculty_school' );
$course_title       = ( empty( get_theme_mod( 'course_title' ) ) ? 'Please Enter Course Tilte' : get_theme_mod( 'course_title' ) );
$wf_home_class      = ( is_front_page() || is_page() ? ' is-home-page' : '' );
$home_url           = home_url( '/' );
$login_url          = ( is_home() ) ? $home_url : get_permalink();

// Theme variations - with faculty_school.
$theme_class        = ( get_theme_mod( 'faculty_school' ) ? ' with_faculty' : '' );

$menu_atts = array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu', 'container' => 'ul', 'items_wrap' => '<ul class="menu vertical" aria-haspopup="true">%3$s</ul>' ); ?>

  <div id="topnav" class="top-bar row expanded align-middle"  aria-label="Top Navigation" data-topbar>
	<div id="ubc-identity" class="top-bar-title ubc-logo site-title small-2 large-3 columns">
		<a href="http://www.ubc.ca" rel="home" title="Go to The University of British Columbia website">
		  <svg class="ui-icon ubc-logo-icon"><use xlink:href="#ubc-logo"></use></svg>
		  <span class="show-for-sr">The University of British Columbia</span>
		</a>
	</div>
	<!-- .ubc-logo .top-bar-title -->
	<div id="site-faculty-name" class="top-bar-title course-combo-title text-center small-4 medium-7 large-6 columns">
	  <a href="<?php echo esc_url( $home_url );?>" title="Course home">
		<?php if ( get_theme_mod( 'faculty_school' ) ) : ?>
		  <h3 class="course-stakeholder show-for-medium ellipsis-width"><?php echo esc_html( $stackholder ); ?></h3>
		<?php endif; ?>
		<h2 class="course-title ellipsis-width"><?php echo esc_html( $course_title ); ?></h2>
	  </a>
	</div>
	<!-- .with-faculty -->
	<div id="site-main-menu" class="menu-items small-6 medium-3 large-3 columns">
	  <ul class="dropdown menu section-menu float-right" data-dropdown-menu>
		<li id="site-sidebar-button" class="sidebar-reveal-button hide-for-large">
		  <button class="parent-item" data-toggle="offCanvas" data-effect="st-effect-1">
			<span class="svg-container" aria-hidden="true">
			  <svg class="ui-icon sidebar-menu-icon left" aria-hidden="true"><use xlink:href="#chevron-right"></use></svg>
			  <svg class="ui-icon sidebar-menu-icon right" aria-hidden="true"><use xlink:href="#chevron-right"></use></svg>
			</span>
			<span class="menu-name">Course<br /> sidebar</span>
		  </button>
		</li>
		<!-- #site-sidebar-button -->
		<li class="main-menu">
		  <button class="parent-item" data-toggle="offCanvasRight1">
			<svg class="ui-icon menu-icon" aria-hidden="true"><use xlink:href="#menu"></use></svg>
			<span class="menu-name">Site<br /> menu</span>
		  </button>
		  <!-- #site-main-menu -->
		</li>
		<!-- li.main-menu -->
		<?php if ( ! is_user_logged_in() ) : ?>
		<li id="site-user-login" class="user-menu">
		  <a class="parent-item" href="<?php echo esc_url( wp_login_url( $login_url ) ); ?>">
			<svg class="ui-icon user"><use xlink:href="#user"></use></svg>
			<span class="menu-name">Login</span>
		  </a>
		</li>
		<?php endif; ?>
		<!-- #site-user-login -->
	  </ul>
	  <!-- .user-login-menu -->
	</div>
	<!-- .menu-items -->
  </div>
