<?php
/**
 * If a sub-section contains a handout, it goes into the handouts tab in the sidebar.
 * This template is loaded for each handout found for the currently displaying subsection
 *
 * @since 1.0.0
 * @package WordPress
 */

$data 			= get_query_var( 'template_data' );
$title 			= $data['title'];
$description	= $data['fields']['fields']['_handout_details_description'];
$files 			= $data['fields']['fields']['_handout_details_file_list'];

?>

<li class="section-tab-handout no-bullet">
	<h5 class="handout-title"><?php echo esc_html( $title ); ?></h5>
	<p class="handout-description"><?php echo wp_kses_post( $description ); ?></p>
	<ul class="no-bullet">
	<?php foreach ( $files as $id => $url ) : ?>
		<li><a target="_blank" href="<?php echo esc_url( $url ); ?>" title=""><?php echo esc_html( basename( $url ) ); ?></a></li>
	<?php endforeach; ?>
	</ul>
</li>
